package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicResourceAuthAuditResult {

    public static final String OVERDUE = "已过期";
    public static final String USE = "使用中";
    public static final String WAIT_AUTHORIZATION = "待授权";
    public static final String AUTHORIZATION_SUCCESS = "授权成功";
    public static final String AUTHORIZATION_NO = "授权失败";

    private static DicResourceAuthAuditResult instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceAuthAuditResult(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(OVERDUE, OVERDUE);
        dicMap.put(USE, USE);
        dicMap.put(WAIT_AUTHORIZATION, WAIT_AUTHORIZATION);
        dicMap.put(AUTHORIZATION_SUCCESS, AUTHORIZATION_SUCCESS);
        dicMap.put(AUTHORIZATION_NO, AUTHORIZATION_NO);
    }

    public static DicResourceAuthAuditResult getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceAuthAuditResult();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}

